// ProObjFigureArrow.cpp : _xZkqqHx_iDeDiDjDiDhGiDiKiDiBiDjDiDgFiBfLiDfGiDiHiDjD_xHqqkZx_ _xZkqqHx_iDhEiDeAiDeDiDiL_xHqqkZx_
//

#include "stdafx.h"
#include "DynamicDraw.h"
#include "ProObjFigureArrow.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CFCProObjFigureArrow _xZkqqHx_iDhGiDiNiDhAiDgFiDeC_xHqqkZx_ _xZkqqHx_iDhJiBfLiDfH_xHqqkZx_

IMPLEMENT_DYNCREATE(CFCProObjFigureArrow, CFCProObjProperty)

CFCProObjFigureArrow::CFCProObjFigureArrow () : CFCProObjProperty(CFCProObjFigureArrow::IDD)
{
	//{{AFX_DATA_INIT(CFCProObjFigureArrow)
		// _xZkqqHx_iDiBiDiC_xHqqkZx_ - ClassWizard _xZkqqHx_iCmNiClBiCmMiImKjChFiCmJiDiBiDjDiDgPiCmMiPiJiKpKiJlLiPiIjHjNiCpAjCmHiJmBiClFiCnMiClHiBeC_xHqqkZx_
	//}}AFX_DATA_INIT

	// _xZkqqHx_iDiBiDgCiDfKiBfLiDfHiPiIjHjNjCiGiCmMiDhEiDiJiDePiCpAjAnNjCoIiBeC_xHqqkZx_
	m_bProhibitMsg = TRUE;
} // CFCProObjFigureArrow::CFCProObjFigureArrow.

CFCProObjFigureArrow::~CFCProObjFigureArrow ()
{
} // CFCProObjFigureArrow::~CFCProObjFigureArrow.

void CFCProObjFigureArrow::DoDataExchange(CDataExchange* pDX)
{
	CFCProObjProperty::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CFCProObjFigureArrow)
	DDX_Control(pDX, IDC_FG4_STC_BORDER_1, m_stcBorder1);
	DDX_Control(pDX, IDC_FG4_CMB_ARROW_B_PARAM1, m_cmbArrowBParam1);
	DDX_Control(pDX, IDC_FG4_CMB_ARROW_B_PARAM0, m_cmbArrowBParam0);
	DDX_Control(pDX, IDC_FG4_CMB_ARROW_F_PARAM1, m_cmbArrowFParam1);
	DDX_Control(pDX, IDC_FG4_CMB_ARROW_F_PARAM0, m_cmbArrowFParam0);
	DDX_Control(pDX, IDC_FG4_STC_B_SAMPLE, m_staBSample);
	DDX_Control(pDX, IDC_FG4_STC_F_SAMPLE, m_staFSample);
	//}}AFX_DATA_MAP
} // CFCProObjFigureArrow::DoDataExchange.


BEGIN_MESSAGE_MAP(CFCProObjFigureArrow, BASE_CLASS)
	//{{AFX_MSG_MAP(CFCProObjFigureArrow)
	ON_CBN_SELCHANGE(IDC_FG4_CMB_ARROW_F_TYPE, OnSelchangeFg4CmbArrowFType)
	ON_CBN_SELCHANGE(IDC_FG4_CMB_ARROW_F_PARAM0, OnSelchangeFg4CmbArrowFParam0)
	ON_CBN_SELCHANGE(IDC_FG4_CMB_ARROW_F_PARAM1, OnSelchangeFg4CmbArrowFParam1)
	ON_CBN_SELCHANGE(IDC_FG4_CMB_ARROW_F_PARAM2, OnSelchangeFg4CmbArrowFParam2)
	ON_CBN_SELCHANGE(IDC_FG4_CMB_ARROW_B_TYPE, OnSelchangeFg4CmbArrowBType)
	ON_CBN_SELCHANGE(IDC_FG4_CMB_ARROW_B_PARAM0, OnSelchangeFg4CmbArrowBParam0)
	ON_CBN_SELCHANGE(IDC_FG4_CMB_ARROW_B_PARAM1, OnSelchangeFg4CmbArrowBParam1)
	ON_CBN_SELCHANGE(IDC_FG4_CMB_ARROW_B_PARAM2, OnSelchangeFg4CmbArrowBParam2)
	ON_COMMAND(ID_DIALOG_INIT_VALUE, OnDialogInitValue)
	ON_WM_CTLCOLOR()
	ON_BN_CLICKED(IDC_FG4_BTN_SELECT_F_PICT_ARROW, OnFg4BtnSelectFPictArrow)
	ON_BN_CLICKED(IDC_FG4_BTN_SELECT_B_PICT_ARROW, OnFg4BtnSelectBPictArrow)
	ON_NOTIFY(UDN_DELTAPOS, IDC_FG4_SPN_F_SAMPLE, OnDeltaposFg4SpnFSample)
	ON_NOTIFY(UDN_DELTAPOS, IDC_FG4_SPN_B_SAMPLE, OnDeltaposFg4SpnBSample)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CFCProObjFigureArrow _xZkqqHx_iDiBiDgCiDfKiBfLiDfH_xHqqkZx_ _xZkqqHx_iDgOiDjDiDgIiDiJ_xHqqkZx_

